<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/dialogbj"
    android:orientation="vertical"
    android:paddingStart="30dp"
    android:paddingEnd="30dp"
    android:paddingBottom="10dp"
    android:paddingTop="10dp"
    android:layout_height="match_parent">

    <RelativeLayout
        android:id="@+id/close_from"
        android:layout_width="match_parent"
        android:layout_height="80dp"
        android:layout_gravity="end"
        android:gravity="end"
        android:background="@color/white"
        >
        <TextView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:textColor="@color/black"
            android:textSize="32sp"
            android:text="商品编辑"
            android:textStyle="bold"
            />
        <TextView
            android:layout_width="80dp"
            android:layout_height="80dp"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:background="@mipmap/close_image"
            android:textColor="@color/white"/>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/color3"
            />
    </RelativeLayout>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:id="@+id/main"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:visibility="visible">

        <com.google.android.material.appbar.AppBarLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            >
            <com.google.android.material.appbar.CollapsingToolbarLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:contentScrim="#00000000"
                app:layout_scrollFlags="scroll|exitUntilCollapsed">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="vertical"
                    android:paddingStart="30dp"
                    android:paddingEnd="30dp"
                    android:paddingBottom="10dp"
                    android:paddingTop="10dp"
                    android:layout_height="match_parent">

                    <RelativeLayout
                        android:id="@+id/title_goods"
                        android:layout_width="match_parent"
                        android:background="@drawable/input_bj"
                        android:layout_height="70dp">
                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="70dp"
                            android:text="商品信息"
                            android:textStyle="bold"
                            android:textSize="32sp"
                            android:gravity="center_vertical"
                            />
                        <TextView
                            android:id="@+id/tv_goods"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_alignParentEnd="true"
                            android:text="展开"
                            android:textSize="26sp"
                            android:gravity="center_vertical"
                            android:textColor="@color/app_color_blue"
                            android:layout_marginEnd="70dp"
                            />

                        <ImageView
                            android:id="@+id/ic_arrow_goods"
                            android:layout_width="60dp"
                            android:layout_height="60dp"
                            android:layout_centerVertical="true"
                            android:layout_alignParentEnd="true"
                            android:background="@mipmap/ic_arrow_left"
                            />
                    </RelativeLayout>


                    <RelativeLayout
                        android:id="@+id/content_goods"
                        android:layout_width="match_parent"
                        android:layout_below="@id/title_goods"
                        android:visibility="gone"
                        android:layout_marginStart="20dp"
                        android:layout_marginEnd="20dp"
                        android:layout_marginTop="5dp"
                        tools:visibility="visible"
                        android:layout_height="wrap_content">
                        <LinearLayout
                            android:id="@+id/ll_img"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">
                            <ImageView
                                android:id="@+id/img_goods"
                                android:layout_width="160dp"
                                android:layout_height="100dp"
                                android:layout_marginStart="3dp"
                                android:layout_marginTop="3dp"
                                android:layout_marginEnd="3dp"
                                android:layout_marginBottom="3dp"
                                android:src="@mipmap/loading3" />
                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:textAlignment="center"
                                android:text="点击修改封面"
                                android:textSize="22sp"/>
                        </LinearLayout>

                        <LinearLayout
                            android:layout_toRightOf="@id/ll_img"
                            android:layout_marginStart="20dp"
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginBottom="12dp"
                            android:layout_marginEnd="20dp"
                            android:layout_width="600dp"
                            android:layout_height="wrap_content">
                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="商品名称："
                                android:textSize="26sp"/>
                            <!--账号输入框-->
                            <EditText
                                android:id="@+id/edittext_name"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="5dp"
                                android:background="@drawable/input_bj"
                                android:hint="请输入"
                                android:inputType="text"
                                android:maxLines="1"
                                android:maxLength="30"
                                android:padding="3dp"
                                android:textSize="32sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_toRightOf="@id/ll_img"
                            android:layout_marginTop="80dp"
                            android:layout_marginStart="20dp"
                            android:layout_marginEnd="20dp"
                            android:layout_marginBottom="12dp"
                            android:layout_width="600dp"
                            android:layout_height="wrap_content">
                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="商品外键："
                                android:textSize="26sp"/>
                            <!--账号输入框-->
                            <EditText
                                android:id="@+id/edittext_fk"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="5dp"
                                android:background="@drawable/input_bj"
                                android:hint="请输入"
                                android:inputType="text"
                                android:maxLines="1"
                                android:padding="3dp"
                                android:textSize="32sp" />
                        </LinearLayout>

                        <Button
                            android:id="@+id/update_goods"
                            android:layout_width="200dp"
                            android:layout_height="100dp"
                            android:layout_marginEnd="40dp"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:background="@drawable/bg_btn_login_selected"
                            android:text="修改商品"
                            android:textColor="@color/white"
                            android:textSize="32sp"/>
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/title_attribute"
                        android:layout_width="match_parent"
                        android:background="@drawable/input_bj"
                        android:layout_height="70dp">
                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="70dp"
                            android:text="属性选择"
                            android:textStyle="bold"
                            android:textSize="32sp"
                            android:gravity="center_vertical"
                            />
                        <TextView
                            android:id="@+id/tv_arrow_attribute"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_alignParentEnd="true"
                            android:text="展开"
                            android:textSize="26sp"
                            android:gravity="center_vertical"
                            android:textColor="@color/app_color_blue"
                            android:layout_marginEnd="70dp"
                            />

                        <ImageView
                            android:id="@+id/ic_arrow_attribute"
                            android:layout_width="60dp"
                            android:layout_height="60dp"
                            android:layout_centerVertical="true"
                            android:layout_alignParentEnd="true"
                            android:background="@mipmap/ic_arrow_left"
                            />
                    </RelativeLayout>

                    <LinearLayout
                        android:id="@+id/content_attribut"
                        android:layout_width="match_parent"
                        android:layout_marginStart="20dp"
                        android:orientation="vertical"
                        android:visibility="gone"
                        tools:visibility="visible"
                        android:layout_marginEnd="20dp"
                        android:layout_marginBottom="10dp"
                        android:layout_height="wrap_content">
                        <LinearLayout
                            android:layout_marginTop="5dp"
                            android:layout_marginBottom="5dp"
                            android:layout_marginRight="10dp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">
                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="配方名称："
                                android:textSize="26sp"/>
                            <!--输入框-->
                            <EditText
                                android:id="@+id/edittext_group"
                                android:layout_width="670dp"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="5dp"
                                android:background="@drawable/input_bj"
                                android:maxLength="30"
                                android:hint="请输入"
                                android:inputType="text"
                                android:maxLines="1"
                                android:padding="3dp"
                                tools:text="泡椒鸡杂面_清汤干拌_标准_大份"
                                android:textSize="32sp" />

                            <Button
                                android:id="@+id/add_group"
                                android:layout_width="200dp"
                                android:layout_height="70dp"
                                android:layout_marginStart="20dp"
                                android:background="@drawable/bg_btn_login_selected"
                                android:text="新建配方"
                                android:textColor="@color/white"
                                android:textSize="32sp"/>
                        </LinearLayout>
                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/recycler_property"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@drawable/bg_form"
                            android:paddingTop="5dp"
                            android:paddingBottom="5dp"
                            />
                    </LinearLayout>

                </LinearLayout>
            </com.google.android.material.appbar.CollapsingToolbarLayout>
            <RelativeLayout
                android:id="@+id/title_detail"
                android:layout_width="match_parent"
                android:paddingStart="30dp"
                android:paddingEnd="30dp"
                android:layout_height="70dp">
                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="70dp"
                    android:text="配方详情"
                    android:textStyle="bold"
                    android:textSize="32sp"
                    android:gravity="center_vertical"
                    />
                <TextView
                    android:id="@+id/tv_arrow_detail"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_alignParentEnd="true"
                    android:text="收起"
                    android:textSize="26sp"
                    android:gravity="center_vertical"
                    android:textColor="@color/app_color_blue"
                    android:layout_marginEnd="70dp"
                    />

                <ImageView
                    android:id="@+id/ic_arrow_detail"
                    android:layout_width="60dp"
                    android:layout_height="60dp"
                    android:layout_centerVertical="true"
                    android:layout_alignParentEnd="true"
                    android:background="@mipmap/ic_arrow_down"
                    />
            </RelativeLayout>
        </com.google.android.material.appbar.AppBarLayout>

        <LinearLayout
            android:id="@+id/content_detail"
            android:layout_width="match_parent"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            android:layout_marginBottom="10dp"
            android:layout_height="match_parent"
            app:layout_behavior="@string/appbar_scrolling_view_behavior"
            android:orientation="vertical">
            <!-- 表头 -->
            <LinearLayout
                android:id="@+id/tab_title"
                android:layout_width="match_parent"
                android:orientation="horizontal"
                android:background="@color/app_color_blue"
                android:layout_height="50dp">
                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="名称"
                    android:gravity="center"
                    android:textSize="32sp"
                    android:textColor="@color/white"/>
                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="重量(g)"
                    android:gravity="center"
                    android:textSize="32sp"
                    android:textColor="@color/white"/>
                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="删除操作"
                    android:gravity="center"
                    android:textSize="32sp"
                    android:textColor="@color/white"/>
            </LinearLayout>
            <!-- 数据 -->
            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycler_detail"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                android:orientation="vertical"
                />
        </LinearLayout>

    </androidx.coordinatorlayout.widget.CoordinatorLayout>
</LinearLayout>